package com.malk.minjiaoyuan.repository.dao;

import com.malk.base.JpaMap;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;

import javax.transaction.Transactional;
import java.util.Map;

/**
 * 视图表查询 [通过Map实现, 无需定义实体, 主键设置Long即可]
 */
@Transactional
public interface TSDao extends CrudRepository<JpaMap, Long> {
    /**
     * 查询教师
     */
//    @Query(value = "select * from frontdd_user_data", nativeQuery = true)
    @Query(value = "select * from frontdd_organization_data", nativeQuery = true)
    Page<Map> queryTest(Pageable pageable);
}
